Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82330 - libdir wrong in libfreetype.la
Summary: libdir wrong in libfreetype.la
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: freetype
Version: 1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-21 12:07 UTC by Joe Orton
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-05 05:21:20 UTC


Attachments (Terms of Use)

Description Joe Orton 2003-01-21 12:07:05 UTC
[root@emcee root]# rpm -qf /usr/lib64/libfreetype.la
freetype-devel-2.1.3-4
[root@emcee root]# grep libdir= /usr/lib64/libfreetype.la
libdir='/usr/lib'

should be /usr/lib64; libtool gives warnings when linking against this library
currently.

Comment 1 Mike A. Harris 2003-01-23 00:31:14 UTC
That would be a libtool bug no?

Comment 2 Joe Orton 2003-01-23 14:48:36 UTC
More likely that the libtool --mode=link line is being passed -rpath /usr/lib
rather than -rpath /usr/lib64.

Comment 3 Owen Taylor 2003-02-05 05:21:20 UTC
2.1.3-6 fixes.


Note You need to log in before you can comment on or make changes to this bug.